IllegalDataException (XOM 1.2.4 API)
Date: 2009-12-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class IllegalDataException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.WellformednessException
                          nu.xom.IllegalDataException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IllegalCharacterDataException, IllegalNameException, MalformedURIException

    public class IllegalDataException

extends WellformednessException

Indicates an attempt to set some value to malformed content; for instance by adding a string containing a null or a vertical tab to a text node, or using white space in an element name.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`IllegalDataException(String message)` Creates a new `IllegalDataException` with a detail message.
`IllegalDataException(String message, Throwable cause)` Creates a new `IllegalDataException` with a detail message and an underlying root cause.

Method Summary
`String` | `getData()` Returns a string containing the actual illegal text that caused this exception.
`void` | `setData(String data)` Stores the illegal text that caused this exception.

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalDataException

    public IllegalDataException(String message)

  Creates a new `IllegalDataException` with a detail message.

  Parameters:
    `message` - a string indicating the specific problem

### IllegalDataException

    public IllegalDataException(String message,
                                Throwable cause)

  Creates a new `IllegalDataException` with a detail message and an underlying root cause.

  Parameters:
    `message` - a string indicating the specific problem
    `cause` - the original cause of this exception

Method Detail

### setData

    public void setData(String data)

  Stores the illegal text that caused this exception.

  Parameters:
    `data` - the illegal data that caused this exception

### getData

    public String getData()

  Returns a string containing the actual illegal text that caused this exception.

  Returns:
    the syntactically incorrect data that caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2009 Elliotte Rusty Harold
elharo@ibiblio.org